Subject: Add better error handling to XML file parsing
Description

When parsing XML files the exception thrown in case of errors does not differentiate between filesystem and parsing errors. Plus no
hints on the XML errors are given to the user.

Associated revisions
Revision 987a264f - 2012-02-15 16:00 - Karsten Dambekalns

[TASK] Add better handling of XML parse errors to I18n

When parsing XML files the exception thrown in case of errors did not
differentiate between filesystem and parsing errors, now it does.

In case of XML errors, a detailed list of errors reported by
libxml are added to the thrown exception.

Change-Id: I1be265fb6553057e3df905fe89a50bbf11964b69
Resolves: #33836
Releases: 1.1

History
#1 - 2012-02-10 15:08 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8968

#2 - 2012-02-15 16:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8968

#3 - 2012-02-16 02:46 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:987a264f0322b1125ed41fcc26dd41b494b6b2ce.
